Bug 31465 - mount: /root/run: filesystem mounted, but mount(8) failed: No such file or directory
: mount: /root/run: filesystem mounted, but mount(8) failed: No such file or di...
Status: RESOLVED FIXED
: Branch p8
(All bugs in Branch p8/make-initrd)
: не указана
: all Linux
: P3 minor
Assigned To:
:
:
:
:
: 31497
  Show dependency tree
 
Reported: 2015-11-09 19:45 by
Modified: 2018-08-10 14:32 (History)


Attachments
снимок экрана загрузки с отладкой (18.25 KB, image/png)
2015-11-09 19:45, Michael Shigorin
no flags Details
проверенный патчик (597 bytes, patch)
2015-11-10 00:26, Michael Shigorin
no flags Details | Diff
Фото консоли F12 после загрузки Altlinux. (332.82 KB, image/jpeg)
2017-11-21 18:34, Булат
no flags Details


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2015-11-09 19:45:20
Created an attachment (id=6428) [details]
снимок экрана загрузки с отладкой

С какого-то времени при работе initrd появилась такая строчка;
загрузка с debug показала, что дело в mount --move /run /root/run
из data/lib/initrd/modules/980-umount.
------- Comment #1 From 2015-11-10 00:26:52 -------
Created an attachment (id=6429) [details]
проверенный патчик

Похоже, initrd-шный /run нынче следует не перемещать, а отмонтировать.
------- Comment #2 From 2015-11-10 01:00:03 -------
Если его не переместить, то потеряется база udev а также plymouth.
------- Comment #3 From 2015-11-10 16:11:43 -------
А он сейчас в итоге перемещается или нет?
(прикидываю, как бы проверить)
------- Comment #4 From 2016-05-01 18:46:07 -------
Данная ошибка так же воспроизводится в "p8-starterkits 20160429 KDE5".
------- Comment #5 From 2016-05-04 19:37:18 -------
(В ответ на комментарий №4)
> Данная ошибка так же воспроизводится в "p8-starterkits 20160429 KDE5".
Да, это известно (во всех из них, а также и в текущих регулярках).
------- Comment #6 From 2016-10-03 22:32:28 -------
mount: /root/run: filesystem mounted, but mount(8) failed: No such file or
directory

Добавлю, что она имеет место в starterkits alt-p8-kde4-20160912-x86_64 и ALT
8.0 Workstation K beta 20160908 (ex-KDesktop).
------- Comment #7 From 2016-10-04 18:35:53 -------
Присутствует также на Simply/Teacher x64 p8 обновленных до p8
------- Comment #8 From 2017-03-28 13:28:53 -------
Как применить данный патч?
------- Comment #9 From 2017-03-28 13:50:38 -------
А это не починится само собой при обновлении make-initrd? Смотрю, в сизифе
анонс того что там сильно переписали код.
------- Comment #10 From 2017-03-28 14:05:55 -------
(В ответ на комментарий №9)
> А это не починится само собой при обновлении make-initrd? Смотрю, в сизифе
> анонс того что там сильно переписали код.

Так у меня это произошло при переходе с p7 на p8
Система не грузится дальше
------- Comment #11 From 2017-03-28 14:07:51 -------
Так у меня это произошло при переходе с p7 на p8
Система не грузится дальше
------- Comment #12 From 2017-03-28 15:38:41 -------
Врядли это связано. Я такое вижу регулярно, на функциональность не влияет.
minor, в общем, как и было заявлено.
------- Comment #13 From 2017-03-28 20:05:12 -------
(В ответ на комментарий №11)
> Так у меня это произошло при переходе с p7 на p8
> Система не грузится дальше

Неверное, не прямо на этом месте зависает? Тогда проблема не в нем.
------- Comment #14 From 2017-03-28 23:58:42 -------
(В ответ на комментарий №13)
> (В ответ на комментарий №11)
> > Так у меня это произошло при переходе с p7 на p8
> > Система не грузится дальше
> 
> Неверное, не прямо на этом месте зависает? Тогда проблема не в нем.

Да, как выяснилось проблема зависания не в этом. Поправил initrd скрипт в
системе - проблема ушла, зависание осталось.
------- Comment #15 From 2017-03-30 13:49:31 -------
(В ответ на комментарий №14)
> проблема ушла, зависание осталось.
Про зависание вешайте отдельную багу, почитав
http://egorfine.com/ru/articles/effective-bugreports/
------- Comment #16 From 2017-04-13 05:40:58 -------
(In reply to comment #1)
> Created an attachment (id=6429) [details] [details]
> проверенный патчик
> 
> Похоже, initrd-шный /run нынче следует не перемещать, а отмонтировать.
такая же проблема (starting version 230
mount: /root/run: filesystem mounted, but mount(8) failed: No such file
or directory)
Как использовать данный патч?
------- Comment #17 From 2017-04-14 15:51:41 -------
(В ответ на комментарий №16)
> (In reply to comment #1)
> Как использовать данный патч?
Наложить на make-initrd 0.8.x и собрать/установить пакет; если не сильно
допекает -- лучше обождите исправления в репозитории.
------- Comment #18 From 2017-04-18 12:54:34 -------
У меня такое сообщение тоже при каждом запуске отображается.
------- Comment #19 From 2017-04-18 15:02:01 -------
(В ответ на комментарий №16)
> (In reply to comment #1)
> > Created an attachment (id=6429) [details] [details] [details]
> > проверенный патчик
> > 
> > Похоже, initrd-шный /run нынче следует не перемещать, а отмонтировать.
> такая же проблема (starting version 230
> mount: /root/run: filesystem mounted, but mount(8) failed: No such file
> or directory)
> Как использовать данный патч?

Нельзя его отмонтировать. Это сломает plymouth, который запускается в initrd и
остаётся работать в живой системе.
------- Comment #20 From 2017-08-25 12:00:53 -------
*** Bug 33509 has been marked as a duplicate of this bug. ***
------- Comment #21 From 2017-11-20 22:46:52 -------
Проблема ещё воспроизводится ?
------- Comment #22 From 2017-11-21 12:00:27 -------
(In reply to comment #21)
> Проблема ещё воспроизводится ?

Да. Регулярно вижу при включении и выключении фразу про
filesystem mounted, but mount(8) failed: No such file or directory

4.9.62-std-def-alt0.M80P.1 #1 SMP Wed Nov 15 23:44:03 UTC 2017 x86_64 GNU/Linux
------- Comment #23 From 2017-11-21 12:54:48 -------
(В ответ на комментарий №22)
> Да. Регулярно вижу при включении и выключении фразу про
> filesystem mounted, but mount(8) failed: No such file or directory
> 
> 4.9.62-std-def-alt0.M80P.1 #1 SMP Wed Nov 15 23:44:03 UTC 2017 x86_64 GNU/Linux

Покажите пожалуйста полное сообщение об ошибке потому что в сизифе указанного в
описании скрипта уже нет.
------- Comment #24 From 2017-11-21 14:32:18 -------
(In reply to comment #23)
> (В ответ на комментарий №22)
> > Да. Регулярно вижу при включении и выключении фразу про
> > filesystem mounted, but mount(8) failed: No such file or directory
> > 
> > 4.9.62-std-def-alt0.M80P.1 #1 SMP Wed Nov 15 23:44:03 UTC 2017 x86_64 GNU/Linux
> 
> Покажите пожалуйста полное сообщение об ошибке потому что в сизифе указанного в
> описании скрипта уже нет.
starting version 230
mount: /root/run: filesystem mounted, but mount(8) failed: No such file or
directory
------- Comment #25 From 2017-11-21 16:29:20 -------
(В ответ на комментарий №24)
> > Покажите пожалуйста полное сообщение об ошибке потому что в сизифе указанного в
> > описании скрипта уже нет.
> starting version 230
> mount: /root/run: filesystem mounted, but mount(8) failed: No such file or
> directory

Покажите больше контекста (годится даже скриншот).
Сообщение о каком сервисе было до этого ?
------- Comment #26 From 2017-11-21 18:34:24 -------
Created an attachment (id=7286) [details]
Фото консоли F12 после загрузки Altlinux.

(In reply to comment #25)
> (В ответ на комментарий №24)
> > > Покажите пожалуйста полное сообщение об ошибке потому что в сизифе указанного в
> > > описании скрипта уже нет.
> > starting version 230
> > mount: /root/run: filesystem mounted, but mount(8) failed: No such file or
> > directory
> 
> Покажите больше контекста (годится даже скриншот).
> Сообщение о каком сервисе было до этого ?

Я не новичок в Linux, но пока без понятия, вывод каких команд или содержимое
каких файлов Вас интересует.

Работает оно так:
1. Выбираю Alt Workstation 8.1 в красивом (grub?) окошке.
2. Окно гаснет, появляется чёрное.
3. В черном показывается 4 пингвина, потом появляется короткая строчка и экран
снова гаснет.
4. Потом видим чёрный экран с приведённой мною надписью - только она и есть.
5. Потом появляется GUI для ввода логина/пароля.
При выключении:
1. Гаснет GUI.
2. Вижу чёрный экран с приведённой мною надписью.
3. К ней чего-то приписывается с новой строки.
4. PC гаснет.

При этом чёрный экран с приведённой надписью висит сравнительно долго.
Всё что могу добавить без Ваших уточнений - снимок (не знаю откуда взять текст)
консоли F12, т.к. на сколько я могу судить, во время "чёрного экрана с
приведённой надписью"и в F12 screenshot не работает.
------- Comment #27 From 2017-11-21 20:25:26 -------
(В ответ на комментарий №26)
> Работает оно так:
> 1. Выбираю Alt Workstation 8.1 в красивом (grub?) окошке.

Вы используете сизиф или какой-то бранч/дистрибутив ?
------- Comment #28 From 2017-11-21 22:40:19 -------
(In reply to comment #27)
> (В ответ на комментарий №26)
> > Работает оно так:
> > 1. Выбираю Alt Workstation 8.1 в красивом (grub?) окошке.
> 
> Вы используете сизиф или какой-то бранч/дистрибутив ?

Довольно свежий дистрибутив Базальта. Видимо Альт Рабочая станция 8.1.
Регулярно обновляю ядро update-kernel. Вроде на Сизив не настраивался - всё
по-стандартному.
------- Comment #29 From 2017-12-24 22:19:54 -------
Сизиф давно не проверял (с полгода, наверное), а в p8 эта бяка живее всех
живых.
------- Comment #30 From 2017-12-26 20:09:19 -------
В p8 она, похоже, уже доживёт своё до p9 -- сломать людям initrd страшней...
------- Comment #31 From 2018-03-14 00:09:19 -------
1. Установил alt-8-server-8.2-x86_64.iso
2. apt-get dist-upgrade
3. make-initrd
4. reboot

Дальше я засовывал strace в initrd и перед modules/980-umount вызывал:
strace -f -o /root/log mount --move -v /run /root/run

http://pastebin.ru/rds2d6TB - make-initrd-0.8.15-alt1.M80P.3 из P8
http://pastebin.ru/E1O4Mdax - make-initrd-2.0.7-alt1.x86_64.rpm из Сизифа

В первом случае проблема (и суть баги) тут:
open("/run/mount/utab.lock", O_RDONLY|O_CREAT|O_CLOEXEC, 0644) = -1 ENOENT (No
such file or directory)

Мы двигаем /run и естественно каталога /run/mount/ для lock-файла уже нет,
отсюда и ругань

Почему во втором случае mount не пытается создавать этот lock? Я не понимаю :-)

Нужна помощь ldv@, legion@, shaba@

На всякий случай приложил вывод showenv:
http://pastebin.ru/vhT7rq1L - make-initrd-0.8.15-alt1.M80P.3 из P8
http://pastebin.ru/tAaB6Y2o - make-initrd-2.0.7-alt1.x86_64.rpm из Сизифа

По своему разумению для себя исправил так:
http://git.altlinux.org/people/snejok/packages/make-initrd.git?p=make-initrd.git;a=commitdiff;h=c6390d8b286915791b8ebf0dc16c94911c774c8b
------- Comment #32 From 2018-03-14 02:01:02 -------
Если я правильно понял проблема только в make-initrd-0.8.15-alt1. Так ?
------- Comment #33 From 2018-03-14 10:52:23 -------
(В ответ на комментарий №32)
> Если я правильно понял проблема только в make-initrd-0.8.15-alt1. Так ?

Да. По разному ведёт себя mount в разных версиях make-initrd
------- Comment #34 From 2018-03-14 13:22:53 -------
Если создать /dev/.mount/utab в data/lib/initrd/modules/005-prepare то проблема
останется или исчезнет ?
------- Comment #35 From 2018-03-14 13:32:16 -------
В initrd есть /etc/mtab ? (насколько я помню его там быть не должно)
------- Comment #36 From 2018-03-14 14:27:29 -------
(В ответ на комментарий №35)
> В initrd есть /etc/mtab ? (насколько я помню его там быть не должно)

Действительно,
в старом make-initrd (0.8.15-alt1.M80P.3) /etc/mtab это симлинк на
/proc/mounts,
в новом make-initrd (2.0.7-alt1.x86_64.rpm) /etc/mtab это пустой файл (644
root:root)

2legion@: насколько страшен такой фикс? :-)
http://git.altlinux.org/people/snejok/packages/make-initrd.git?p=make-initrd.git;a=commitdiff;h=dd0b2fb3773a692fe47d84c8dcdb43d16df9e9a6
------- Comment #37 From 2018-03-14 15:42:31 -------
(В ответ на комментарий №36)
> 2legion@: насколько страшен такой фикс? :-)
> http://git.altlinux.org/people/snejok/packages/make-initrd.git?p=make-initrd.git;a=commitdiff;h=dd0b2fb3773a692fe47d84c8dcdb43d16df9e9a6

Я думаю, что это правильный фикс, если это фикс :)
------- Comment #38 From 2018-03-14 17:14:32 -------
Тогда просьба заинтересованным проверить :-)

http://git.altlinux.org/tasks/201876/

apt-repo add 201876
apt-get update
apt-get install make-initrd
make-initrd
reboot
------- Comment #39 From 2018-03-20 11:29:43 -------
ping, please...
------- Comment #40 From 2018-03-20 11:31:36 -------
(В ответ на комментарий №39)
> ping, please...

Это вы кому ?
------- Comment #41 From 2018-03-20 11:32:46 -------
(В ответ на комментарий №40)
> (В ответ на комментарий №39)
> > ping, please...
> 
> Это вы кому ?

Заинтересованным, например mike@ и cas@
------- Comment #42 From 2018-03-20 13:25:20 -------
make-initrd-0.8.15-alt1.M80P.5 -> p8:

Wed Mar 14 2018 Lenar Shakirov <snejok@altlinux.ru> 0.8.15-alt1.M80P.5
- /etc/mtab moved from /proc/mounts symlink to regular empty file (Closes:
#31465)
------- Comment #43 From 2018-06-29 11:52:24 -------
(В ответ на комментарий №42)
> make-initrd-0.8.15-alt1.M80P.5 -> p8:
> 
> Wed Mar 14 2018 Lenar Shakirov <snejok@altlinux.ru> 0.8.15-alt1.M80P.5
> - /etc/mtab moved from /proc/mounts symlink to regular empty file (Closes:
> #31465)

У меня попрежнему эта ошибка присутствует 
make-initrd-0.8.15-alt1.M80P.7
------- Comment #44 From 2018-06-29 12:06:44 -------
(В ответ на комментарий №43)
> (В ответ на комментарий №42)
> > make-initrd-0.8.15-alt1.M80P.5 -> p8:
> > 
> > Wed Mar 14 2018 Lenar Shakirov <snejok@altlinux.ru> 0.8.15-alt1.M80P.5
> > - /etc/mtab moved from /proc/mounts symlink to regular empty file (Closes:
> > #31465)
> 
> У меня попрежнему эта ошибка присутствует 
> make-initrd-0.8.15-alt1.M80P.7

Пишет так:
starting version 237
mount: /root/run: filesystem was mounted, but any subsequent operation failed:
No such file or directory.
[   5.656966] cgroup: cgroup2: unknow option "nsdelegate"
------- Comment #45 From 2018-08-10 14:32:36 -------
make-initrd-0.8.15-alt1.M80P.7 -> c8.1:

Mon Apr 30 2018 Leonid Krivoshein <klark@altlinux> 0.8.15-alt1.M80P.7
- Depinfo utility v2.0.9 ported from Sisyphus to p8 branch
- Hidden dependency for ext4 filesystem added

Fri Apr 27 2018 Leonid Krivoshein <klark@altlinux> 0.8.15-alt1.M80P.6
- Hard dependency to crc32c module added (Closes: #34854)

Wed Mar 14 2018 Lenar Shakirov <snejok@altlinux.ru> 0.8.15-alt1.M80P.5
- /etc/mtab moved from /proc/mounts symlink to regular empty file (Closes:
#31465)

Tue Feb 27 2018 Lenar Shakirov <snejok@altlinux.ru> 0.8.15-alt1.M80P.3
- stage ucode after compress (closes: #34456)

Mon Dec 04 2017 Sergey V Turchin <zerg@altlinux> 0.8.15-alt1.M80P.2
- fix requires

Thu Nov 02 2017 Sergey V Turchin <zerg@altlinux> 0.8.15-alt1.M80P.1
- Backport ucode feature for early loading microcode.

Fri Oct 13 2017 Anton V. Boyarshinov <boyarsh@altlinux> 0.8.14-alt1.M80P.1
- ignore load_modules return (there are some warnings, poisioning 
  return code of modprobe) (Closes: #32749)

Tue Mar 21 2017 Sergey Novikov <sotor@altlinux> 0.8.14-alt1
- fixed lvm discovery return code in case, when non-root LVM volumes
  inaccessible from initramfs (closes: #33243)